package cn.hnthyy.thmz.service.impl.his;

import cn.hnthyy.thmz.entity.his.YpZdDict;
import cn.hnthyy.thmz.mapper.his.YpZdDictMapper;
import cn.hnthyy.thmz.service.his.YpZdDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class YpZdDictServiceImpl implements YpZdDictService {
    @SuppressWarnings("all")
    @Autowired
    private YpZdDictMapper ypZdDictMapper;
    @Override
    public YpZdDict queryYpZdDictByCodeAndSerial(String code,String serial) {
        return ypZdDictMapper.selectYpZdDictByCodeAndSerial(code,serial);
    }

    @Override
    public List<YpZdDict> queryYpZdDictByCodeList(String codes) {
        return ypZdDictMapper.selectYpZdDictByCodeList(codes);
    }

    @Override
    public List<YpZdDict> queryYpZdDictByCode(String code) {
        return ypZdDictMapper.selectYpZdDictByCode(code);
    }
}
